package beilv.web.controller.system;

import beilv.common.core.domain.AjaxResult;
import beilv.system.domain.SysMember;
import beilv.system.domain.vo.AppAuthWeixinMiniAppLoginReqVO;
import beilv.system.service.IAppAuthService;
import beilv.system.service.ISysMemberService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.validation.Valid;


@Tag(name = "用户 APP - 认证")
@RestController
@RequestMapping("/app-api")
@Validated
@Slf4j
public class AppAuthController {

    @Resource
    private IAppAuthService appAuthService;
    @Resource
    private ISysMemberService sysMemberService;


    @PostMapping("/login")
    @Operation(summary = "微信小程序的一键登录")
    public AjaxResult weixinMiniAppLogin(@RequestBody @Valid AppAuthWeixinMiniAppLoginReqVO reqVO) throws Exception {
        return AjaxResult.success(appAuthService.weixinMiniAppLogin(reqVO));
    }

    @PostMapping("/testAuth")
    @Operation(summary = "测试认证接口")
    public AjaxResult testAuth(HttpServletRequest request) throws Exception {
        SysMember loginSysMember = sysMemberService.getLoginSysMember(request);
        return AjaxResult.success();
    }

}
