package beilv.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import beilv.system.mapper.QmjsShoppingMallMapper;
import beilv.system.domain.QmjsShoppingMall;
import beilv.system.service.IQmjsShoppingMallService;
import beilv.common.core.text.Convert;

/**
 * 商城Service业务层处理
 * 
 * @author lc
 * @date 2025-01-02
 */
@Service
public class QmjsShoppingMallServiceImpl implements IQmjsShoppingMallService 
{
    @Autowired
    private QmjsShoppingMallMapper qmjsShoppingMallMapper;

    /**
     * 查询商城
     * 
     * @param id 商城主键
     * @return 商城
     */
    @Override
    public QmjsShoppingMall selectQmjsShoppingMallById(Long id)
    {
        return qmjsShoppingMallMapper.selectQmjsShoppingMallById(id);
    }

    /**
     * 查询商城列表
     * 
     * @param qmjsShoppingMall 商城
     * @return 商城
     */
    @Override
    public List<QmjsShoppingMall> selectQmjsShoppingMallList(QmjsShoppingMall qmjsShoppingMall)
    {
        return qmjsShoppingMallMapper.selectQmjsShoppingMallList(qmjsShoppingMall);
    }

    /**
     * 新增商城
     * 
     * @param qmjsShoppingMall 商城
     * @return 结果
     */
    @Override
    public int insertQmjsShoppingMall(QmjsShoppingMall qmjsShoppingMall)
    {
        return qmjsShoppingMallMapper.insertQmjsShoppingMall(qmjsShoppingMall);
    }

    /**
     * 修改商城
     * 
     * @param qmjsShoppingMall 商城
     * @return 结果
     */
    @Override
    public int updateQmjsShoppingMall(QmjsShoppingMall qmjsShoppingMall)
    {
        return qmjsShoppingMallMapper.updateQmjsShoppingMall(qmjsShoppingMall);
    }

    /**
     * 批量删除商城
     * 
     * @param ids 需要删除的商城主键
     * @return 结果
     */
    @Override
    public int deleteQmjsShoppingMallByIds(String ids)
    {
        return qmjsShoppingMallMapper.deleteQmjsShoppingMallByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除商城信息
     * 
     * @param id 商城主键
     * @return 结果
     */
    @Override
    public int deleteQmjsShoppingMallById(Long id)
    {
        return qmjsShoppingMallMapper.deleteQmjsShoppingMallById(id);
    }
}
